/*=====================================
SCHOOLEAD
style.css
======================================*/

/*================ VARIABLES ================*/

:root{

    --primary:#f58220;
    --secondary:#0f172a;
    --blue:#2563eb;
    --green:#10b981;
    --white:#ffffff;
    --light:#f8fafc;
    --gray:#64748b;
    --border:#e2e8f0;

    --shadow:0 10px 30px rgba(0,0,0,.08);

    --radius:15px;

    --transition:.35s ease;

}


/*================ RESET ================*/

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{

    scroll-behavior:smooth;

}

body{

    font-family:'Poppins',sans-serif;
    background:#fff;
    color:var(--secondary);
    line-height:1.6;

}

img{

    max-width:100%;
    display:block;

}

a{

    text-decoration:none;

}

ul{

    list-style:none;

}


/*================ CONTAINER ================*/

.container{

    width:100%;
    max-width:1250px;
    margin:auto;

}


/*================ SECTION ================*/

section{

    padding:100px 0;

}

.section-title{

    text-align:center;
    margin-bottom:60px;

}

.section-title span{

    color:var(--primary);
    font-weight:700;
    letter-spacing:1px;
    text-transform:uppercase;

}

.section-title h2{

    font-size:42px;
    margin-top:15px;
    margin-bottom:20px;

}

.section-title p{

    color:var(--gray);
    max-width:700px;
    margin:auto;

}


/*================ BUTTONS ================*/

.btn-primary{

    background:var(--primary);
    color:#fff;
    padding:8px 12px;
    border-radius:10px;
    display:inline-flex;
    align-items:center;
    gap:10px;
    font-weight:600;
    transition:var(--transition);

}

.btn-primary:hover{

    transform:translateY(-4px);
    box-shadow:var(--shadow);

}

.btn-secondary{

    background:#ffffff;
    color:var(--primary);
    padding:8px 12px;
    border:2px solid #ffffff;
    border-radius:10px;
    display:inline-flex;
    align-items:center;
    justify-content:center;
    font-weight:600;
    transition:var(--transition);

}

.btn-secondary:hover{

    background:transparent;
    color:#ffffff;
    border:2px solid #ffffff;

}


/*================ HEADER ================*/

.header{

    position:fixed;
    width:100%;
    top:0;
    left:0;
    background:#fff;
    box-shadow:0 3px 20px rgba(0,0,0,.05);
    z-index:1000;

}

.header .container{

    display:flex;
    justify-content:space-between;
    align-items:center;
    height:90px;

}

.logo{

    display:flex;
    align-items:center;
    gap:5px;

}

.logo img{

    width:55px;

}

.logo h2{

    font-size:20px;
    margin-bottom:-12px;

}

.logo span{

    font-size:10px;
    color:var(--gray);

}

.navbar ul{

    display:flex;
    gap:25px;

}

.navbar a{

    color:var(--secondary);
    font-weight:500;
    transition:.3s;

}

.navbar a:hover,
.navbar a.active{

    color:var(--primary);

}

.sidenav{
    width: 32%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.btn-idemo{
    border:2px solid var(--secondary);
    color:var(--secondary);
    padding:3px 7px;
    border-radius:10px;
    font-weight:500;
    transition:.3s;

}

.btn-idemo:hover{
    background:var(--primary);
    color:#fff;
    border:2px solid var(--primary);
    padding:3px 7px;
    border-radius:10px;
    font-weight:500;
    transition:.3s;

}

.btn-demo{
    background:var(--primary);
    color:#fff;
    padding:4px 8px;
    border-radius:10px;
    font-weight:500;
    transition:.3s;

}

/*================ HERO ================*/

.hero{

    position: relative;
    padding-top:180px;
    overflow:hidden;

    background-image:
        linear-gradient(rgba(0, 0, 0, 0.80), rgba(0,0,0,.80)),
        url("image/school1.jpg");

    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    transition:background-image .8s ease-in-out;

}

.hero-content{

    position:relative;
    z-index:2;

    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:60px;

}

.hero-text{

    flex:1;

}

.hero-text h1{

    font-size:68px;
    color:#fd8b20;
    margin-bottom:8px;

}

.hero-text h2{

    font-size:42px;
    line-height:1.25;
    margin-bottom:25px;
    color:#fff;

}

.hero-text p{

    color:#fff;
    font-size:18px;
    margin-bottom:40px;

}

.hero-buttons{

    display:flex;
    gap:20px;
    flex-wrap:wrap;

}

.hero-image{

    flex:1;
    position:relative;
    display:flex;
    justify-content:center;

}

.laptop{
    width:650px;
    filter:drop-shadow(0 20px 35px rgba(0,0,0,.20));

}
.mobile{
    position:absolute;
    right:20px;
    bottom:-10px;
    width:170px;
    border-radius:25px;
    box-shadow:var(--shadow);
}

/*================ RESPONSIVE ================*/

@media(max-width:992px){
.hero-content{
flex-direction:column;
text-align:center;
}

.hero-buttons{
justify-content:center;
}

.navbar{
display:none;
}

.btn-demo{
display:none;
}

.hero-text h1{
font-size:48px;
}

.hero-text h2{
font-size:34px;
}

.laptop{

width:100%;

}

.mobile{

width:130px;
right:0;

}

.section-title h2{

font-size:34px;

}

}

@media(max-width:768px){

.hero{
padding-top:140px;
}

.hero-text h2{
font-size:28px;
}

.hero-text p{
font-size:16px;
}

.btn-primary,
.btn-secondary{

width:100%;
justify-content:center;

}

}

/*=====================================
STATISTIQUES
======================================*/

.stats{

    background:#ffffff;
    padding:80px 0;

}

.stats .container{

    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;

}

.stat-card{

    background:#fff;
    border-radius:20px;
    padding:40px 30px;
    text-align:center;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
    transition:.35s ease;
    border:1px solid #eef2f7;

}

.stat-card:hover{

    transform:translateY(-10px);

    box-shadow:0 18px 40px rgba(0,0,0,.12);

}

.stat-card i{

    width:80px;
    height:80px;
    line-height:80px;
    border-radius:50%;
    background:rgba(245,130,32,.12);
    color:var(--primary);
    font-size:34px;
    margin-bottom:25px;

}

.stat-card h2{

    font-size:42px;
    color:var(--primary);
    margin-bottom:10px;

}

.stat-card p{

    color:var(--gray);
    font-size:17px;

}



/*=====================================
FONCTIONNALITÉS
======================================*/

.features{

    background:var(--light);

}

.feature-grid{

    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;

}

.feature-card{

    background:#fff;
    border-radius:20px;
    padding:35px;
    transition:.35s ease;
    box-shadow:0 10px 25px rgba(0,0,0,.06);
    border:1px solid #edf2f7;

}

.feature-card:hover{

    transform:translateY(-10px);

    box-shadow:0 20px 45px rgba(0,0,0,.12);

}

.feature-card i{

    width:75px;
    height:75px;
    line-height:75px;
    text-align:center;
    border-radius:18px;
    background:rgba(245,130,32,.12);
    color:var(--primary);
    font-size:30px;
    margin-bottom:25px;

}

.feature-card h3{

    font-size:22px;
    margin-bottom:15px;

}

.feature-card p{

    color:var(--gray);
    line-height:1.8;

}



/*=====================================
BAS DE LA SECTION FONCTIONNALITÉS
======================================*/

.feature-bottom{

    margin-top:70px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:30px;
    background:#fff;
    padding:40px;
    border-radius:20px;
    box-shadow:0 10px 25px rgba(0,0,0,.06);

}

.feature-bottom h3{

    font-size:30px;
    max-width:700px;
    line-height:1.4;

}



/*=====================================
RESPONSIVE
======================================*/

@media(max-width:1100px){

    .stats .container{

        grid-template-columns:repeat(2,1fr);

    }

    .feature-grid{

        grid-template-columns:repeat(2,1fr);

    }

}

@media(max-width:768px){

    .stats .container{

        grid-template-columns:1fr;

    }

    .feature-grid{

        grid-template-columns:1fr;

    }

    .feature-bottom{

        flex-direction:column;
        text-align:center;

    }

    .feature-bottom h3{

        font-size:24px;

    }

    .stat-card h2{

        font-size:34px;

    }

}
/*=====================================
POURQUOI CHOISIR SCHOOLEAD
======================================*/

.why-schoollead{

    background:#170164;
    padding:100px 0;

}

.why-content{

    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:70px;

}

.why-image{

    flex:1;

}

.why-image img{

    width:100%;
    border-radius:20px;
    box-shadow:0 20px 40px rgba(0,0,0,.10);

}

.why-text{

    flex:1;

}

.why-text span{

    color:var(--primary);
    font-weight:900;
    text-transform:uppercase;
    letter-spacing:1px;

}

.why-text h2{

    font-size:25px;
    margin:20px 0;
    color: #fa940e;

}
.why-text h1{

    font-size:32px;
    margin:19px 0;
    color: #f9fafa;

}
.why-text p{

    color:var(--white);
    line-height:1.8;
    margin-bottom:35px;

}

.why-grid{

    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:20px;

}

.why-item{

    display:flex;
    align-items:center;
    gap:15px;
    background:#fff;
    padding:18px 20px;
    border-radius:15px;
    border:1px solid var(--border);
    transition:.35s ease;

}

.why-item:hover{

    transform:translateY(-5px);
    box-shadow:var(--shadow);

}

.why-item i{

    color:var(--green);
    font-size:22px;

}

.why-item span{

    color:var(--secondary);
    font-weight:500;
    text-transform:none;
    letter-spacing:0;

}


/*=====================================
POINTS CLÉS
======================================*/

.key-points{

    background:var(--light);
    padding:100px 0;

}

.key-grid{

    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;

}

.key-card{

    background:#fff;
    border-radius:20px;
    padding:35px;
    text-align:center;
    border:1px solid var(--border);
    box-shadow:0 10px 25px rgba(0,0,0,.05);
    transition:.35s ease;

}

.key-card:hover{

    transform:translateY(-10px);
    box-shadow:0 20px 40px rgba(0,0,0,.10);

}

.key-card i{

    width:80px;
    height:80px;
    line-height:80px;
    border-radius:50%;
    background:rgba(245,130,32,.12);
    color:var(--primary);
    font-size:34px;
    margin-bottom:25px;

}

.key-card h3{

    font-size:24px;
    margin-bottom:15px;

}

.key-card p{

    color:var(--gray);
    line-height:1.8;

}


/*=====================================
RESPONSIVE
======================================*/

@media(max-width:992px){

    .why-content{

        flex-direction:column;

    }

    .why-text{

        text-align:center;

    }

    .why-grid{

        grid-template-columns:1fr;

    }

    .key-grid{

        grid-template-columns:repeat(2,1fr);

    }

}

@media(max-width:768px){

    .key-grid{

        grid-template-columns:1fr;

    }

    .why-text h2{

        font-size:32px;

    }

}
/*=====================================
SOLUTIONS
======================================*/

.solutions{

    background:#ffffff;
    padding:100px 0;

}

.solutions-grid{

    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;
    margin-top:60px;

}

.solution-card{

    background:#fff;
    border:1px solid var(--border);
    border-radius:20px;
    padding:35px 30px;
    text-align:center;
    box-shadow:0 10px 25px rgba(0,0,0,.05);
    transition:var(--transition);

}

.solution-card:hover{

    transform:translateY(-10px);

    box-shadow:0 20px 40px rgba(0,0,0,.10);

}

.solution-card i{

    width:85px;
    height:85px;
    line-height:85px;
    border-radius:50%;
    background:rgba(245,130,32,.12);
    color:var(--primary);
    font-size:36px;
    margin-bottom:25px;

}

.solution-card h3{

    font-size:23px;
    margin-bottom:18px;
    color:var(--secondary);

}

.solution-card p{

    color:var(--gray);
    line-height:1.8;

}



/*=====================================
COMMENT ÇA FONCTIONNE
======================================*/

.how-it-works{

    background:var(--light);
    padding:100px 0;

}

.steps{

    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:25px;
    margin-top:70px;

}

.step-card{

    flex:1;
    position:relative;
    background:#fff;
    border-radius:20px;
    padding:40px 30px;
    text-align:center;
    border:1px solid var(--border);
    box-shadow:0 10px 25px rgba(0,0,0,.05);
    transition:var(--transition);

}

.step-card:hover{

    transform:translateY(-10px);

    box-shadow:0 20px 45px rgba(0,0,0,.10);

}

.step-number{

    position:absolute;
    top:-18px;
    left:50%;
    transform:translateX(-50%);
    width:50px;
    height:50px;
    line-height:50px;
    border-radius:50%;
    background:var(--primary);
    color:#fff;
    font-size:18px;
    font-weight:700;

}

.step-card i{

    width:90px;
    height:90px;
    line-height:90px;
    border-radius:50%;
    background:rgba(245,130,32,.12);
    color:var(--primary);
    font-size:38px;
    margin:25px auto;

}

.step-card h3{

    font-size:25px;
    margin-bottom:15px;

}

.step-card p{

    color:var(--gray);
    line-height:1.8;

}

.step-arrow{

    font-size:38px;
    color:var(--primary);

}



/*=====================================
RESPONSIVE
======================================*/

@media(max-width:1100px){

    .solutions-grid{

        grid-template-columns:repeat(2,1fr);

    }

    .steps{

        flex-direction:column;

    }

    .step-arrow{

        transform:rotate(90deg);

    }

}

@media(max-width:768px){

    .solutions-grid{

        grid-template-columns:1fr;

    }

    .step-card{

        width:100%;

    }

    .solution-card h3{

        font-size:21px;

    }

    .step-card h3{

        font-size:22px;

    }

}

/*=====================================
FAQ
======================================*/
.faq{
    background:#fff;
    padding:100px 0;
}

.faq-container{
    max-width:900px;
    margin:auto;
}

.faq-item{
    border:1px solid var(--border);
    border-radius:15px;
    margin-bottom:20px;
    overflow:hidden;
    background:#fff;
    box-shadow:0 5px 20px rgba(0,0,0,.05);
}

.faq-question{
    width:100%;
    padding:22px 25px;
    background:#fff;
    border:none;
    cursor:pointer;
    display:flex;
    justify-content:space-between;
    align-items:center;
    text-align:left;
    font-size:18px;
    font-weight:600;
    color:var(--secondary);
}

.faq-question span{
    flex:1;
    padding-right:20px;
}

.faq-question i{
    color:var(--primary);
    transition:.35s;
}

.faq-answer{
    max-height:0;
    overflow:hidden;
    transition:max-height .45s ease;
    padding:0 25px;
}

.faq-answer p{
    padding:0 0 25px;
    color:var(--gray);
    line-height:1.8;
}

.faq-item.active .faq-answer{
    max-height:300px;
}

.faq-item.active .faq-question i{
    transform:rotate(45deg);
}

/*=====================================
CALL TO ACTION
======================================*/

.cta{

    padding:80px 0;
    background:linear-gradient(135deg,#f58220,#ff9d3f);

}

.cta-content{

    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:40px;

}

.cta h2{

    color:#fff;
    font-size:42px;
    margin-bottom:15px;

}

.cta p{

    color:#fff;
    opacity:.95;

}

.cta-buttons{

    display:flex;
    gap:20px;

}

.cta .btn-primary{

    background:#0627e6;
    color:var(--primary);

}

.cta .btn-secondary{

    border:2px solid #fff;
    color:#f8a813;

}

.cta .btn-secondary:hover{

    background:#dfd9d9;
    color:var(--primary);

}



/*=====================================
FOOTER
======================================*/

.footer{

    background:#0f172a;
    color:#fff;
    padding-top:80px;

}

.footer-grid{

    display:grid;
    grid-template-columns:2fr 1fr 1fr 1fr;
    gap:50px;

}

.footer-about img{

    width:70px;
    margin-bottom:20px;

}

.footer-about p{

    color:#cbd5e1;
    line-height:1.8;

}

.footer h3{

    margin-bottom:20px;
    font-size:22px;

}

.footer ul li{

    margin-bottom:15px;

}

.footer ul li a{

    color:#cbd5e1;
    transition:.3s;

}

.footer ul li a:hover{

    color:var(--primary);

}

.footer-contact p{

    color:#cbd5e1;
    margin-bottom:15px;

}

.footer-contact i{

    color:var(--primary);
    margin-right:10px;

}

.social-icons{

    display:flex;
    gap:15px;

}

.social-icons a{

    width:45px;
    height:45px;
    border-radius:50%;
    background:rgba(255,255,255,.08);
    display:flex;
    justify-content:center;
    align-items:center;
    color:#fff;
    transition:.3s;

}

.social-icons a:hover{

    background:var(--primary);

}

.footer-bottom{

    margin-top:60px;
    border-top:1px solid rgba(255,255,255,.08);
    text-align:center;
    padding:25px 0;
    color:#94a3b8;

}



/*=====================================
ANIMATIONS
======================================*/

.feature-card,
.solution-card,
.key-card,
.stat-card,
.step-card{

    transition:all .35s ease;

}

.feature-card:hover,
.solution-card:hover,
.key-card:hover,
.stat-card:hover,
.step-card:hover{

    transform:translateY(-10px);

}



/*=====================================
RESPONSIVE TABLETTE
======================================*/

@media(max-width:992px){

.footer-grid{

grid-template-columns:repeat(2,1fr);

}

.cta-content{

flex-direction:column;
text-align:center;

}

.cta-buttons{

justify-content:center;

}

}



/*=====================================
RESPONSIVE MOBILE
======================================*/

@media(max-width:768px){

.footer-grid{

grid-template-columns:1fr;
text-align:center;

}

.social-icons{

justify-content:center;

}

.cta h2{

font-size:30px;

}

.cta-buttons{

flex-direction:column;
width:100%;

}

.cta-buttons a{

width:100%;
justify-content:center;

}

.faq-question{

font-size:16px;

}

.footer{

padding-top:60px;

}

}



/*=====================================
PETITS SMARTPHONES
======================================*/

@media(max-width:480px){

.section-title h2{

font-size:28px;

}

.hero-text h1{
font-size:38px;
}

.hero-text h2{
font-size:24px;
}

.btn-primary,
.btn-secondary,
.btn-demo,
.btn-idemo{

padding:14px 22px;
font-size:15px;

}

}

/*=====================================
ANIMATIONS
======================================*/

.hidden{

    opacity:0;
    transform:translateY(60px);
    transition:all .8s ease;

}

.show{

    opacity:1;
    transform:translateY(0);

}


/*=====================================
BOUTON RETOUR EN HAUT
======================================*/

.back-to-top{

    position:fixed;
    bottom:30px;
    right:30px;
    width:55px;
    height:55px;
    border:none;
    border-radius:50%;
    background:#f58220;
    color:#fff;
    font-size:22px;
    cursor:pointer;
    opacity:0;
    visibility:hidden;
    transition:.3s;
    z-index:9999;
    box-shadow:0 10px 25px rgba(0,0,0,.2);

}

.back-to-top.show{

    opacity:1;
    visibility:visible;

}

.back-to-top:hover{

    transform:translateY(-5px);

}

/*==============================
MENU HAMBURGER
===============================*/

.menu-toggle{

    display:none;
    width:35px;
    cursor:pointer;

}

.menu-toggle span{

    display:block;
    height:4px;
    background:#0f172a;
    margin:7px 0;
    border-radius:50px;
    transition:.35s;

}

/* Animation */

.menu-toggle.active span:nth-child(1){

    transform:rotate(45deg) translate(8px,8px);

}

.menu-toggle.active span:nth-child(2){

    opacity:0;

}

.menu-toggle.active span:nth-child(3){

    transform:rotate(-45deg) translate(8px,-8px);

}
@media(max-width:992px){

.menu-toggle{

display:block;
z-index:1001;

}

.navbar{

position:fixed;
top:90px;
left:-100%;
width:100%;
height:calc(100vh - 90px);

background:#fff;

display:flex;
justify-content:center;
align-items:center;

transition:.4s;

}

.navbar.active{

left:0;

}

.navbar ul{

display:flex;
flex-direction:column;
gap:35px;

}

.navbar a{

font-size:22px;
font-weight:600;

}

}
.header{

    transition:0.35s;

}

.header-scroll{

    background:#ffffff;

    box-shadow:0 10px 30px rgba(0,0,0,.10);

}